gating: Fix failure reporting

This commit is contained in:
Marian Csontos 2026-06-03 11:51:44 +02:00
parent 2071ad7ae6
commit ad28d62e41

View File

@ -68,7 +68,7 @@ for test_script in $lvm2_tests; do
echo "################################################################################" > /dev/console
for flavour in $flavours; do
# TODO: Repeat failure if ???
"$RUNNER" --batch --flavours "$flavour" --only "$test_script" 2>&1 | tee -a "$TESTSUITE_OUT_FILE"
"$RUNNER" --batch --continue --flavours "$flavour" --only "$test_script" 2>&1 | tee -a "$TESTSUITE_OUT_FILE"
RESULT="${PIPESTATUS[0]}"
if [[ $RESULT -ne 0 ]]; then
tmt-file-submit -l "${flavour}:${test_script//\//_}.txt"
@ -76,6 +76,17 @@ for test_script in $lvm2_tests; do
done
done
tmt-file-submit -l "journal"
tmt-file-submit -l "list"
tmt-file-submit -l "$TESTSUITE_OUT_FILE"
! ci/ignore.sh < "$TESTSUITE_OUT_FILE" | grep -v "^[[:space:]]*$"
exit $?
echo -e "\nFailures:"
grep -v "\(passed\|skipped\|warnings\)$" list || :
echo -e "\nSummary:"
cut -d" " -f2 "list" | sort | uniq -c
echo -e "\nFailures to check:"
if ci/ignore.sh < "list" | grep -v "^[[:space:]]*$"; then
exit 1
fi